PROG="./target/infinite-noodle.net-proxy"
CODE="./cmd/infinite-noodle"

echo "building for linux"
env GOOS=linux GOARCH=amd64 go build -o $PROG -buildvcs=false $CODE

echo "building for mac arm64"
env GOOS=darwin GOARCH=arm64 go build -o $PROG.mac.arm64 -buildvcs=false $CODE

echo "building for mac amd64"
env GOOS=darwin GOARCH=amd64 go build -o $PROG.mac.amd64 -buildvcs=false $CODE

echo "building for win arm64"
env GOOS=windows GOARCH=arm64 go build -o $PROG.win.arm64 -buildvcs=false $CODE

echo "building for win amd64"
env GOOS=windows GOARCH=amd64 go build -o $PROG.win.amd64 -buildvcs=false $CODE
